<bugID>1302989<Summary>indexedDB - no data for the choosen host avialable when # is in url</Summary><Description>Created attachment 8791554
screenshot of the developer tools

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:45.0) Gecko/20100101 Firefox/45.0
Build ID: 20160725105554

Steps to reproduce:

I created an angularJS app and use the $routeProvider for templating.
so the links are like:
&lt;a href="#/"&gt;Start&lt;/a&gt; | &lt;a href="#/about"&gt;About&lt;/a
default in the url is now:
angular.html#/ or angular.html#/about

on a click function i just added some test code to see how the indexedDB is working:



// This works on all devices/browsers, and uses IndexedDBShim as a final fallback 
var indexedDB = window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB || window.shimIndexedDB;

// Open (or create) the database
var open = indexedDB.open("MyDatabase", 1);

// Create the schema
open.onupgradeneeded = function() {
    var db = open.result;
    var store = db.createObjectStore("MyObjectStore", {keyPath: "id"});
    var index = store.createIndex("NameIndex", ["name.last", "name.first"]);
};

open.onsuccess = function() {
    // Start a new transaction
    var db = open.result;
    var tx = db.transaction("MyObjectStore", "readwrite");
    var store = tx.objectStore("MyObjectStore");
    var index = store.index("NameIndex");

    // Add some data
    store.put({id: 12345, name: {first: "John", last: "Doe"}, age: 42});
    store.put({id: 67890, name: {first: "Bob", last: "Smith"}, age: 35});
    
    // Query the data
    var getJohn = store.get(12345);
    var getBob = index.get(["Smith", "Bob"]);

    getJohn.onsuccess = function() {
        console.log(getJohn.result.name.first);  // =&gt; "John"
    };

    getBob.onsuccess = function() {
        console.log(getBob.result.name.first);   // =&gt; "Bob"
    };

    // Close the db when the transaction is done
    tx.oncomplete = function() {
        db.close();
    };
}


Actual results:

the developer tools say "no data for the choosen host aviable "

if I put the code in a normal html file everything works fine
according to this stack overflow post:
http://stackoverflow.com/a/30356990/2044537
there seems to be a problem with the hashtag in the url


Expected results:

I expected, that everything works normally ;)</Description></bugID>